--- /dev/null
+#!/bin/sh
+
+# Run all files in the current directory (recursively) in a random order with
+# the given program.
+
+# Copyright (C) 2012-2013 Simon Ruderich
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+set -e
+
+if test "$#" -eq 0; then
+ echo "Usage: $0 <program-args>.." >&2
+ exit 2
+fi
+
+find . -type f -print0 \
+ | sort --random-sort --zero-terminated \
+ | xargs -0 "$@"